<?php

namespace App\Enums;

enum UpdateStatus: string
{
    case Pending = 'pending';
    case Running = 'running';
    case Success = 'success';
    case Failed = 'failed';
    case RolledBack = 'rolled_back';

    public function label(): string
    {
        return __('status.update_'.$this->value);
    }
}
